# Uses of Class
org.xnio.channels.SplitStreamSourceChannel

Packages that use SplitStreamSourceChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of SplitStreamSourceChannel in org.xnio.channels

Methods in org.xnio.channels that return types with arguments of type SplitStreamSourceChannel
Modifier and Type
Method
Description
`ChannelListener<? super SplitStreamSourceChannel>`
SplitStreamSourceChannel.`getCloseListener()`
`ChannelListener.Setter<? extends SplitStreamSourceChannel>`
SplitStreamSourceChannel.`getCloseSetter()`
`ChannelListener<? super SplitStreamSourceChannel>`
SplitStreamSourceChannel.`getReadListener()`
`ChannelListener.Setter<? extends SplitStreamSourceChannel>`
SplitStreamSourceChannel.`getReadSetter()`
Method parameters in org.xnio.channels with type arguments of type SplitStreamSourceChannel
Modifier and Type
Method
Description
`void`
SplitStreamSourceChannel.`setCloseListener(ChannelListener<? super SplitStreamSourceChannel> closeListener)`
`void`
SplitStreamSourceChannel.`setReadListener(ChannelListener<? super SplitStreamSourceChannel> readListener)`